Package org.apache.tapestry5.internal.services.exceptions

## Class ExceptionReportWriterImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.exceptions.ExceptionReportWriterImpl

- All Implemented Interfaces:
    `ExceptionReportWriter`

      public class ExceptionReportWriterImpl
      extends java.lang.Object
      implements ExceptionReportWriter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionReportWriterImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeReport​(java.io.PrintWriter writer, java.lang.Throwable exception)` | Analyzes the exception (using the `ExceptionAnalyzer` service) and then writes the result to the writer.
    `void` | `writeReport​(java.io.PrintWriter writer, ExceptionAnalysis analysis)` | Writes the analyzed exception to the writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionReportWriterImpl

          public ExceptionReportWriterImpl()

  - ### Method Detail

    - #### writeReport

          public void writeReport​(java.io.PrintWriter writer,
                                  java.lang.Throwable exception)

      Description copied from interface: `ExceptionReportWriter`
      Analyzes the exception (using the `ExceptionAnalyzer` service) and then writes the result to the writer.
      Specified by:
        `writeReport` in interface `ExceptionReportWriter`
      Parameters:
        `writer` - the PrintWriter to write to, not null
        `exception` - the exception to look at, possibly null

    - #### writeReport

          public void writeReport​(java.io.PrintWriter writer,
                                  ExceptionAnalysis analysis)

      Description copied from interface: `ExceptionReportWriter`
      Writes the analyzed exception to the writer.
      Specified by:
        `writeReport` in interface `ExceptionReportWriter`
      Parameters:
        `writer` - the PrintWriter to write to, not null
        `analysis` - the exception to look at, possibly null